/** CHANGE LOG
        19990123 - 22:45 - Don Kukral (xen@usuck.com)
		Changed colors, added link to freshmeat
**/

#include <stdio.h>
#include "pullers.h"

int main(int argc, char **argv) {

	tArticle art;
	FILE *fp;

	printf("\n\n\n<!--     slashheads v1.0     dimer@usuck.com    01/22/1999    -->\n\n"); 

	fp=fopen(MEATDATA,"rb");
	if(!fp) return(1);

	printf("<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 WIDTH=200 ALIGN=CENTER>\n");
	printf("<TR BGCOLOR=#000099> <TD VALIGN=TOP BGCOLOR=#000099> <FONT SIZE=4 COLOR=#FFFFFF FACE=\"arial,helvetica\">\n");
	printf("<B>&nbsp; Freshmeat.net Stuff</B></FONT></TD></TR>\n");

	printf("<TR><TD BGCOLOR=#eeeeff ALIGN=CENTER><TABLE WIDTH=188 BORDER=0 CELLSPACING=0 CELLPADDING=0>\n");
	printf("<TR><TD><FONT COLOR=#000000 SIZE=2><BR>\n");

	while(fread(&art,sizeof(art),1,fp)) {

		/* show the article right here */

		printf("<LI><A HREF=\"%s\">%s</A>\n", art.link, art.title);

	}

        printf ("</TD></TR>\n<TR><TD align=right>\n");
	printf("<FONT SIZE=2>[<A HREF=\"http://freshmeat.net/\">freshmeat.net</A>]</FONT></TD></TR></TABLE>\n");
	printf("&nbsp;<BR></TD></TR></TABLE>\n");

	fclose(fp);

	return(0);
}


